<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Wagon Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classWagon.html">Wagon</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addContentDown</b>(Treasure *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>addContentUp</b>(Treasure *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addPlayerDown</b>(Player *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>addPlayerUp</b>(Player *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addSheriffDown</b>(Sheriff *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>boundingRect</b>() const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>clickedPlayerInWagon</b>(Player *, Wagon *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clickedTreasureInWagon</b>(Treasure *t, Wagon *w) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>clickedWagon</b>(Wagon *w) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>fromVariant</b>(const QVariant &amp;variant) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getContentDown</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getContentUp</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getPlayersDown</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getPlayersUp</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getTreasureIndex</b>(Treasure *, bool) const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>height</b>() const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>isLocomotive</b>() const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mousePressEvent</b>(QGraphicsSceneMouseEvent *event) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>numberOfTreasureInWagonDown</b>(TreasureType) const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onCickedTreasure</b>(Treasure *t) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onClickedPlayer</b>(Player *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>paint</b>(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>repositionPlayers</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>repositionTreasure</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Serializable</b>() (defined in <a class="el" href="classSerializable.html">Serializable</a>)</td><td class="entry"><a class="el" href="classSerializable.html">Serializable</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setContentDown</b>(TreasureChest newContentDown) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setContentUp</b>(TreasureChest newContentUp) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setIsLocomotive</b>(bool newIsLocomotive) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>takeContentDown</b>(TreasureType) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>takeContentDown</b>(Treasure *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>takeContentUp</b>(TreasureType) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>takeContentUp</b>(Treasure *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>takePlayerDown</b>(BanditType) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>takePlayerDown</b>(Player *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>takePlayerUp</b>(BanditType) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>takePlayerUp</b>(Player *) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>takeSheriffDown</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>toString</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>toVariant</b>() const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Wagon</b>() (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Wagon</b>(TreasureChest &amp;contentDown, TreasureChest &amp;contentUp) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Wagon</b>(TreasureChest &amp;upt, TreasureChest &amp;downt, PlayerGroup &amp;upp, PlayerGroup &amp;downp, bool isLocomotive) (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>width</b>() const (defined in <a class="el" href="classWagon.html">Wagon</a>)</td><td class="entry"><a class="el" href="classWagon.html">Wagon</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Serializable</b>()=default (defined in <a class="el" href="classSerializable.html">Serializable</a>)</td><td class="entry"><a class="el" href="classSerializable.html">Serializable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
